#include <stdio.h>
#include <math.h>

int main() {
    int x;

    printf("SinTab\n");

    for (x = 0; x < 256; x++)
        printf("\t.byte %i\n", (int)(128.f + 127.5f * sinf(x * M_PI / 128)));

    return 0;
}
